<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Keysystems.Webservice.Lib</name>
    </assembly>
    <members>
        <member name="T:Keysystems.Webservice.Lib.ApplicationServiceProxy">
            <summary>
            Прокси веб-сервиса
            </summary>
        </member>
        <member name="T:Keysystems.Webservice.Lib.IApplicationService">
            <summary>
            Интерфейс сервиса приложений
            </summary>
        </member>
        <member name="M:Keysystems.Webservice.Lib.IApplicationService.Logoff">
            <summary>
            Отключение
            </summary>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Webservice.Lib.IApplicationService.GetSessions(System.Byte[])">
            <summary>
            Получает список подключений [SessionID, <see cref="T:Keysystems.Core.Data.CommandArguments"/>]
            </summary>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Webservice.Lib.IApplicationService.RemoveSession(System.Byte[])">
            <summary>
            Удаление сессии
            </summary>
            <param name="args"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Webservice.Lib.IApplicationService.GetVersion(System.String)">
            <summary>
            Получение версии файла
            </summary>
            <param name="fileName"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Webservice.Lib.IApplicationService.Execute(System.String,System.String,System.String,System.Byte[])">
            <summary>
            Выполнение метода
            </summary>
            <param name="asmName"></param>
            <param name="typeName"></param>
            <param name="methodName"></param>
            <param name="args"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Webservice.Lib.ApplicationServiceProxy.#ctor">
            <summary>
            
            </summary>
        </member>
        <member name="M:Keysystems.Webservice.Lib.ApplicationServiceProxy.Logoff">
            <summary>
            Отключение
            </summary>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Webservice.Lib.ApplicationServiceProxy.GetSessions(System.Byte[])">
            <summary>
            Получает список подключений [SessionID, <see cref="T:Keysystems.Core.Data.CommandArguments"/>]
            </summary>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Webservice.Lib.ApplicationServiceProxy.RemoveSession(System.Byte[])">
            <summary>
            Удаление сессии
            </summary>
            <param name="args"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Webservice.Lib.ApplicationServiceProxy.GetVersion(System.String)">
            <summary>
            Получение версии файла
            </summary>
            <param name="fileName"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Webservice.Lib.ApplicationServiceProxy.Execute(System.String,System.String,System.String,System.Byte[])">
            <summary>
            Выполнение метода
            </summary>
            <param name="asmName"></param>
            <param name="typeName"></param>
            <param name="methodName"></param>
            <param name="args"></param>
            <returns></returns>
        </member>
        <member name="P:Keysystems.Webservice.Lib.ApplicationServiceProxy.UseDefaultCredentials">
            <summary>
            
            </summary>
        </member>
        <member name="P:Keysystems.Webservice.Lib.ApplicationServiceProxy.Url">
            <summary>
            </summary>
        </member>
        <member name="T:Keysystems.Webservice.Lib.Service">
            <summary>
            
            </summary>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Service.Logoff">
            <summary>
            Отключение
            </summary>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Service.GetSessions(System.Byte[])">
            <summary>
            Получает список подключений [SessionID, <see cref="T:Keysystems.Core.Data.CommandArguments"/>]
            </summary>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Service.RemoveSession(System.Byte[])">
            <summary>
            Удаление сессии
            </summary>
            <param name="args"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Service.GetVersion(System.String)">
            <summary>
            Получение версии файла
            </summary>
            <param name="fileName"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Service.Execute(System.String,System.String,System.String,System.Byte[])">
            <summary>
            Выполнение метода
            </summary>
            <param name="asmName"></param>
            <param name="typeName"></param>
            <param name="methodName"></param>
            <param name="args"></param>
            <returns></returns>
            <exception cref="T:Keysystems.Core.Exceptions.SqlConnectionException"><c>SqlConnectionException</c>.</exception>
            <exception cref="T:System.Web.Services.Protocols.SoapException"><c>SoapException</c>.</exception>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Service.GetVersionInternal(System.String)">
            <summary>
            Полный путь к файлу с версией сервиса
            </summary>
            <param name="fileName"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Service.Execute(System.String,System.String,System.String,Keysystems.Core.Data.CommandArguments)">
            <summary>
            Выполнение метода
            </summary>
            <param name="fullAssemblyName"></param>
            <param name="typeName"></param>
            <param name="methodName"></param>
            <param name="args"></param>
            <returns></returns>
            <exception cref="T:System.Exception"><c>Exception</c>.</exception>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Service.VerifyConnectionAttributes(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Проверка атрибутов соединения
            </summary>
            <param name="args"></param>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Service.VerifySession(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Проверка сессии
            </summary>
            <param name="args"></param>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Service.TryAccess(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Проверка наличия прав администратора комплекса
            </summary>
            <param name="args"></param>
            <exception cref="T:Keysystems.Core.Exceptions.IncorrectSqlResultException"><c>IncorrectSqlResultException</c>.</exception>
            <exception cref="T:System.Exception">Режим доступен только администратору комплекса!</exception>
        </member>
        <member name="T:Keysystems.Webservice.Lib.Global">
            <summary>
            Summary description for Global
            </summary>
        </member>
        <member name="F:Keysystems.Webservice.Lib.Global.SN_CLIENT">
            <summary>
            ID клиента
            </summary>
        </member>
        <member name="F:Keysystems.Webservice.Lib.Global.SN_SESSION">
            <summary>
            Сессия
            </summary>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Global.Application_Start(System.Object,System.EventArgs)">
            <summary>
            
            </summary>
            <param name="sender"></param>
            <param name="e"></param>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Global.Application_End(System.Object,System.EventArgs)">
            <summary>
            
            </summary>
            <param name="sender"></param>
            <param name="e"></param>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Global.Application_Error(System.Object,System.EventArgs)">
            <summary>
            
            </summary>
            <param name="sender"></param>
            <param name="e"></param>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Global.Session_Start(System.Object,System.EventArgs)">
            <summary>
            
            </summary>
            <param name="sender"></param>
            <param name="e"></param>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Global.Session_End(System.Object,System.EventArgs)">
            <summary>
            
            </summary>
            <param name="sender"></param>
            <param name="e"></param>
        </member>
        <member name="M:Keysystems.Webservice.Lib.Global.Logoff(Keysystems.Core.Data.CommandArguments)">
            <summary>
            
            </summary>
            <param name="arguments"></param>
            <returns></returns>
        </member>
    </members>
</doc>
